# Wyatt's stash of custom containers

These are my custom containers that are for immutable Linux distributions. Since they are mine, they are opinionated and would only probably work for me.

These containers are based on CoreOS, Fedora Linux, and Toolbox so the containers that listed in this repository are speifically tailored for those technologies. However, you may get these containers to work on other technologies as well (with enough elbow grease).

## Base container

The base container serves as the base for every other container in this repository. Installed in this container are `git`, `fish`, some Rust tools like `bat` and `exa`, some C development tools, and normal system administrator tools.

## Language containers

This includes base language containers (with the base container mentioned above) if there's a need to start a project from scratch.

What's included:
- Node.js container
  - Node 20 is available
  - Node 18 is coming soon
- Golang container
- Rust container
- .NET container
  - .NET 7 and .NET 8 are included!

What's on the roadmap:
- Python container
- OpenJDK (Java/Kotlin/Scala) container
- Kotlin (native) container
- Julia container
- Lua container
- Clojure container
- Zig container
- Nim container
- Deno container
- Bun container

## Specialty containers

Nothing is here yet but I'll likely create containers that could avoid the headache at some point.

What's on the roadmap:
- Wine container

## Contribution

Feel free to send a PR containing a Containerfile (Dockerfile) and tell me what the container does!

## Attribution

Big thanks to the following projects:
- The Fedora Project
- Podman
- Toolbox
